Page MenuHomePhabricator

pruneChanges should keep all changes not yet dispatched
Closed, ResolvedPublic

Description

At the moment, pruneChanges will delete changes older than a fixed time. If for some reason clients get lagged very much, changes may get pruned before they get a changes to be dispatched. If this happens, the changes can not be dispatched on the client.

To avoid this, the pruneChanges script should never prune any change that has not yet been dispatched.

Even so, changes may get pruned between being dispatched and being processed by the client's job queue. pruneChanges may add a grace period to mitigate this issue.


Version: unspecified
Severity: normal

Details

Reference
bz46565

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:19 AM
bzimport set Reference to bz46565.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Mar 26 2013, 2:20 PM

patch Ic7663a6153a

Verified in Wikidata demo sprint 35-3

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 5:58 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript